using MessagePack;
using System.Text.Json.Serialization;

namespace SVSim.EmulatedEntrypoint.Models.Dtos;

[MessagePackObject]
public class LoginBonusReward
{
    /// <summary>
    /// The effect shown ingame.
    /// </summary>
    [JsonPropertyName("effect_id")]
    [Key("effect_id")]
    public int EffectId { get; set; }
    
    /// <summary>
    /// The type of reward.
    /// </summary>
    [JsonPropertyName("reward_type")]
    [Key("reward_type")]
    public int RewardType { get; set; }
    
    /// <summary>
    /// A more specified reward type (ie if a pack, which pack).
    /// </summary>
    [JsonPropertyName("reward_detail_id")]
    [Key("reward_detail_id")]
    public int RewardDetailId { get; set; }
    
    /// <summary>
    /// The count of the reward.
    /// </summary>
    [JsonPropertyName("reward_number")]
    [Key("reward_number")]
    public int RewardNumber { get; set; }
}